AwkPattern (Jakarta-ORO 2.0.8 API)
Date: 2019-01-01

org.apache.oro.text.awk

## Class AwkPattern

- java.lang.Object
- - org.apache.oro.text.awk.AwkPattern

- All Implemented Interfaces:
    java.io.Serializable, Pattern

      public final class AwkPattern
      extends java.lang.Object
      implements Pattern, java.io.Serializable

  An implementation of the Pattern interface for Awk regular expressions. This class is compatible with the AwkCompiler and AwkMatcher classes. When an AwkCompiler instance compiles a regular expression pattern, it produces an AwkPattern instance containing internal data structures used by AwkMatcher to perform pattern matches. This class cannot be subclassed and cannot be directly instantiated by the programmer as it would not make sense. It is however serializable so that pre-compiled patterns may be saved to disk and re-read at a later time. AwkPattern instances should only be created through calls to an AwkCompiler instance's compile() methods
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `AwkCompiler`, `AwkMatcher`, Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOptions()` This method returns an integer containing the compilation options used to compile this pattern.
    `java.lang.String` | `getPattern()` This method returns the string representation of the pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPattern

          public java.lang.String getPattern()

      This method returns the string representation of the pattern.

      Specified by:
        `getPattern` in interface `Pattern`
      Returns:
        The original string representation of the regular expression pattern.

    - #### getOptions

          public int getOptions()

      This method returns an integer containing the compilation options used to compile this pattern.

      Specified by:
        `getOptions` in interface `Pattern`
      Returns:
        The compilation options used to compile the pattern.

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.